astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Data Visualization (`astropy.visualization`) »
- PercentileInterval

# PercentileInterval

class `astropy.visualization.``PercentileInterval`(percentile, n_samples=None)

  Bases: `astropy.visualization.AsymmetricPercentileInterval`

  Interval based on a keeping a specified fraction of pixels.

  Parameters:

  percentile : float

  > The fraction of pixels to keep. The same fraction of pixels is eliminated from both ends.

  n_samples : int, optional

  > Maximum number of values to use. If this is specified, and there are more values in the dataset as this, then values are randomly sampled from the array (with replacement)